- Qt 5.15
- Qt Charts
- C++ Classes
- QXYLegendMarker
- Qt Charts | Commercial or GPLv3

# QXYLegendMarker Class

The QXYLegendMarker class is a legend marker for a line, spline, or scatter series. More...

Header: | #include <QXYLegendMarker>
Inherits: | QLegendMarker

- List of all members, including inherited members

## Public Functions

virtual | ~QXYLegendMarker()

## Reimplemented Public Functions

virtual QXYSeries * | series() override
virtual LegendMarkerType | type() override

## Detailed Description

An XY legend marker is related to QXYSeries derived classes: QLineSeries, QSplineSeries, and QScatterSeries. Each marker is related to one series.

See also QLegend, QXYSeries, QSplineSeries, QScatterSeries, and QLineSeries.

## Member Function Documentation

### `[virtual]` QXYLegendMarker::~QXYLegendMarker()

Removes the legend marker for a line, spline, or scatter series.

### `[override virtual]` QXYSeries *QXYLegendMarker::series()

Reimplements: QLegendMarker::series().

### `[override virtual]` LegendMarkerType QXYLegendMarker::type()

Reimplements: QLegendMarker::type().